View Issue Details

IDProjectCategoryView StatusLast Update
0002077NoesisGUIUnity3Dpublic2021-09-03 19:40
Reporterasusralis Assigned Tosfernandez  
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.1.0 
Target Version3.1.1Fixed in Version3.1.1 
Summary0002077: Woes updating to 3.1
DescriptionAfter this point, almost *any* action I do in Unity will make Noesis reimport all xaml assets. Clearing or scrolling the unity console, playing the game, or restarting Unity will reimport all my xaml assets. Just about everything I do will cause all of these assets to reimport. Is there something I'm missing?

Also, can I please be told a way to disable Unity asking to update to the new input system? Updating to this would break many plugins I'm using. If I understand correctly, this new system only impacts Noesis' support for gamepads, which I will not support. I really can't have this message appear every time I open Unity.
Steps To Reproduce1): Close Unity, delete NoesisGUI and all Noesis .asset files.
2): Add Noesis 3.1 package.
3): Unity crashes (attached crash). Open up Unity.
3): Click no to use the new input system.
3): Go to Noesis settings, add key/pass, reference my Resources xaml dictionary.
TagsNo tags attached.
PlatformAny

Relationships

related to 0002099 resolvedjsantos 3.1.x Upgrade Can't Find XAML 

Activities

asusralis

asusralis

2021-08-09 09:59

reporter  

jsantos

jsantos

2021-08-09 15:38

manager   ~0007356

Regarding the new input system, setting in to "Both" should stop Unity asking about it.
asusralis

asusralis

2021-08-11 08:12

reporter   ~0007359

I see, thanks for the info! I will try that. For the other issue I'm having, would it be easier if you try to recreate it in my project as well?
jsantos

jsantos

2021-08-11 12:13

manager   ~0007360

Yes, we will reproduce this using your project. Thank you
Tiddan

Tiddan

2021-08-12 18:33

reporter   ~0007363

I have the same problem. I'm on Unity 2020.3.2 and 2020.3.15.

It's basically impossible to work like asusralis is explaining. It happens for basically every interaction you do inside Unity.
sfernandez

sfernandez

2021-09-03 19:40

manager   ~0007406

The problem appeared when the Application Resources contained references to user controls.
That scenario was invalidating the application resources all the time and triggering a reimport of all xamls again.
We fixed this situation for the next release coming next week.

Issue History

Date Modified Username Field Change
2021-08-09 09:59 asusralis New Issue
2021-08-09 09:59 asusralis File Added: Crash_2021-08-09_075051504.rar
2021-08-09 11:22 sfernandez Assigned To => sfernandez
2021-08-09 11:22 sfernandez Status new => assigned
2021-08-09 11:22 sfernandez Product Version => 3.1.0
2021-08-09 11:22 sfernandez Target Version => 3.1.1
2021-08-09 11:24 asusralis Description Updated
2021-08-09 15:38 jsantos Note Added: 0007356
2021-08-11 08:12 asusralis Note Added: 0007359
2021-08-11 12:13 jsantos Note Added: 0007360
2021-08-12 18:33 Tiddan Note Added: 0007363
2021-08-31 22:17 jsantos Relationship added related to 0002099
2021-09-03 19:38 sfernandez Status assigned => resolved
2021-09-03 19:38 sfernandez Resolution open => fixed
2021-09-03 19:38 sfernandez Fixed in Version => 3.1.1
2021-09-03 19:40 sfernandez Note Added: 0007406